Subject: Content-Disposition status

From: Julian Reschke <[email-masked]>
Date: Fri, 27 May 2011 13:41:46 +0200

Hi there,

1) draft-ietf-httpbis-content-disposition is now close to publication, 
with editorial fixes being applied; I'm tracking the changes at 
<http://greenbytes.de/tech/webdav/draft-ietf-httpbis-content-disp-latest-from-previous.diff.html>.

2) The spec recommends a fallback strategy for UAs that do not support 
the RFC 5987 encoding; this didn't work in Firefox 4 (as it picked 
"filename" rather than "filename*", see 
<https://bugzilla.mozilla.org/show_bug.cgi?id=588781>) but will work in 
Firefox 5 (which just want to beta).

3) The test cases at <http://greenbytes.de/tech/tc2231/> have been 
augmented with parsing results based on a regexp-based parser embedded 
into the XSLT that generates the page; this is work-in-progress and 
currently only covers the generic syntax and not yet the RFC2231/5987 
encoding used in "filename*".

Best regards, Julian